/*
 * compatibility header file
 */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#ifdef __hpux
# define _HPUX_SOURCE
#endif

#include <sys/types.h>

#ifdef STDC_HEADERS
# include <stdlib.h>
#endif

#if defined(STDC_HEADERS) || defined(HAVE_STRING_H)
# include <string.h>
# if !defined(STDC_HEADERS) && defined(HAVE_MEMORY_H)
#  include <memory.h>
# endif
#else
# include <strings.h>
#endif

#if defined(STDC_HEADERS) || defined(HAVE_UNISTD_H)
# include <unistd.h>
#endif

#ifdef _POSIX_VERSION
# include <limits.h>
#else
# include <sys/param.h>
#endif

#ifdef TIME_WITH_SYS_TIME
# include <sys/time.h>
# include <time.h>
#else /* not TIME_WITH_SYS_TIME */
# ifdef HAVE_SYS_TIME_H
#  include <sys/time.h>
# else /* not HAVE_SYS_TIME_H */
#  include <time.h>
struct timeval {
	long tv_sec;
	long tv_usec;
};
# endif /* not HAVE_SYS_TIME_H */
#endif /* not TIME_WITH_SYS_TIME */
#ifdef HAVE_SYS_FILE_H
# include <sys/file.h>
#endif

