/*
 * error.c	NFS error checking
 *
 */

#include "nfsbench.h"

int
nfs_check(char *op, char *path)
{
	if (rpcstat != RPC_SUCCESS) {
		script_error("nfs_%s(%s) failed: RPC error %d\n",
				op, path, rpcstat);
		return 0;
	}
	if (nfsstat != RPC_SUCCESS) {
		script_error("nfs_%s(%s) failed: NFS error %d\n",
				op, path, nfsstat);
		return 0;
	}
	return 1;
}
